## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           lv2-eq10q
Version:        2.2
Release:        %autorelease
Summary:        LV2 audio plugin suite

# The vuwidget class is under GPLv3+.  The rest is under GPLv2+.  The GPLv3+ is
# only included in the parameq_gui.so library.  The other library, paramEQ.so,
# contains only GPLv2+ code.
License:        GPLv2+ and GPLv3+
URL:            http://eq10q.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/eq10q/eq10q-%{version}.tar.gz
# Customizable paths and flags, upstreamable.
Patch0:         lv2-eq10q-2.2-path-and-flags.patch
# Use exp10 instead of pow10 (newer glibc), upstreamable.
Patch1:         lv2-eq10q-2.2-exp10.patch
# Specify a minimum of cmake-2.8.12 as compatibility with older versions will be
# removed from a future version of cmake.
Patch2:         lv2-eq10q-2.2-cmake-2.8.12.patch
# Older versions of lv2 had an _LV2UI_Descriptor type/alias, this was removed.
Patch3:         lv2-eq10q-2.2-typefix.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gtkmm24-devel
BuildRequires:  fftw-devel
BuildRequires:  lv2-c++-tools-static
BuildRequires:  lv2-devel
BuildRequires:  pkgconfig
BuildRequires:  plotmm-devel
BuildRequires:  pstreams-devel
Requires:       lv2%{?_isa}

# This resurrects the retired lv2-EQ10Q-plugins package whose name doesn't
# comply with Fedora package naming guidelines.
Obsoletes:      lv2-EQ10Q-plugins < 2.2-8
Conflicts:      lv2-EQ10Q-plugins < 2.2-8

%description
EQ10Q is an audio plugin bundle using the LV2 standard which implements
powerful and flexible parametric equalizers, compressors, a harmonic enhancer
for bass frequencies and mid/side encoders/decoders.

%prep
%setup -q -n eq10q-%{version}
%patch 0 -p1 -b .path-and-flags
%patch 1 -p1 -b .exp10
%patch 2 -p1 -b .cmake-2.8.12
%patch 3 -p1 -b .typefix

# Get rid of warnings about spurious exec permissions in debuginfo package
chmod -x gui/widgets/templatewidget.cpp gui/widgets/templatewidget.h *.c *.h */*.c */*.h

# Disable SSE on unsupported architectures
%ifnarch %ix86 x86_64
sed -i 's|-msse -mfpmath=sse||g' CMakeLists.txt
%endif

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake -DCMAKE_INSTALL_PREFIX="%{_libdir}/lv2" ..
%cmake_build
popd

%install
pushd %{_target_platform}
%cmake_install
popd

%files
%license COPYING
%doc README
%{_libdir}/lv2/*

%changelog
* Mon Apr 17 2023 Nils Philippsen <nils@tiptoe.de> - 2.2-1
- Uncommitted changes
